<template>
  <el-header height="100px" style="margin-left: 3rem">
    <el-row :gutter="20">
      <el-col :span="24" style="position:absolute; top:0">
        <img src="@/assets/images/cambio-amortizacion.svg" alt="amortizacion" width="100%" />
      </el-col>
    </el-row>
    <!-- Botón regresar de contratos -->
    <el-row style="padding-top: 2.5rem">
      <el-col>
        <ReturnButton
          style="z-index: 234232"
          :offsetArrow="20"
          :spanTitle="3"
          @clickEvent="returnPage"
          title="Ir a Contratos"
        ></ReturnButton>
      </el-col>
    </el-row>
    <el-row style="padding: 3.5rem 0 0 3rem !important">
      <el-col :span="24">
        <p>
          <strong>
            Modifica la amortización del saldo del precio
            <br />de los materiales.
          </strong>
        </p>
      </el-col>
      <el-col :span="24" class="mt-20">
        <p class="text-red mb-0 mt-15 flex">
          <span>*</span>
          <strong>
            Las amortizaciones realizadas solo se
            <br />mostrarán de las parrillas certificadas.
          </strong>
        </p>
      </el-col>
    </el-row>
  </el-header>
</template>
<script>
import ReturnButton from '@/components/ReturnButton.vue'

export default {
  name: 'Header',
  props: {
    returnPage: { type: Function, required: false },
  },
  components: {
    ReturnButton,
  },
}
</script>